Subject: Re: [alto] 109 recharter working Google doc

From: "Y. Richard Yang" <[email-masked]>
Date: Mon, 16 Nov 2020 19:52:39 -0500

+ Moved the discussions to include the mailing list as well, as the
comments and feedback are excellent!

Hi Qin,

Thanks a lot for the comments. Please see inline.

On Mon, Nov 16, 2020 at 7:16 AM Qin Wu <[email-masked]> wrote:

> Thanks Richard for the update on multi-domain discussion, I have a few
> questions on this deck of slides:
>
> 1.       RFC7971 provides ALTO deployment consideration, one assumption
> it made is
>
> " The ALTO protocol is designed for use cases where the ALTO server and
> client can be located in
>
> different organizations or trust domains. ALTO is inherently
>
>    designed for use in multi-domain environments.  Most importantly,
>
>    ALTO is designed to enable deployments in which the ALTO server and
>
>    the ALTO client are not located within the same administrative
>
>    domain. "
>
> That seems to indicate Multiple administrative domains should be supported? Does the assumption in the RFC7971 still hold?
>
> To my understanding, multiple administrative domains can be supported by Cascaded servers [RFC7971], i.e.,each administration domain
>
> has a ALTO server, ALTO server in another separate domain acting as alto client can query the ALTO server in each domain and aggregate network topology information and exposed to the other ALTO client
>
>
>
> Also ALTO server can get topology data from different data source such as BGP, SNMP, NETCONF,etc in different administrative domain? RFC7752 figure 3 provide one of such use cases. It seems multiple domain proposal require
>
> ALTO server to server synchronization, either forward ALTO client request from one server to another server? Or ALTO server in the middle domain send new request to the server in the next domain? The big challenge is to the amount    of path information and cost data to be returned can be huge.
>
>
>
> Thanks for making clear the text of RFC7961! Multidomain should still be
the basic environment. The current ALTO services, as they are designed, can
work in a multidomain environment, say using cascading servers, in some
settings. There are two things missing: (1) there is no document specifying
the complete multidomain querying process, which we want to fix; and (2)
the current design can have issues in some multidomain settings; for
example, when conducting cascading query, the downstream ALTO server may
have multiple ingress points for the same flow (e.g., ECS specified by
src/dst IPs). The current design assumes that either the downstream can try
to go upstream to identify the ingress or assume that there is only one
ingress (in some cases can be true). I will make some slides to clarify.

> 2.       I see multi-domain proposal as flow based query, I am wondering how multi-domain proposal is related to flow based query (https://datatracker.ietf.org/doc/draft-gao-alto-fcs/)? Is multi-domain proposal focus on IP layer flow query?
>
>
Good point. If we proceed with generic flow-based queries (ECS and cost map
are IP layer only, and hence are just special cases), we can make
multidomain to be generic flow aware. It looks that generic flow is the
direction of many networks.

> 3.       is there any ALTO protocol extension? E.g., network map
> extension, Cost map extension, or property map extension?
>
>
> Not sure I fully understand the question. Some generic extensions (e.g.,
the one by Sabine) will extend cost map and property map. Is this what you
have in mind?

Thanks again!

Richard

> -Qin
>
> *发件人:* Y. Richard Yang [mailto:[email-masked]]
> *发送时间:* 2020年11月13日 8:05
> *收件人:* Chunshan Xiong (Tencent) <[email-masked]>; Gang Li (China
> Mobile) <[email-masked]>; Yannis (Yunfei) Zhang <
> [email-masked]>; Walid, Anwar (Nokia - US/Murray Hill) <
> [email-masked]>; Sebastian Kiesel <[email-masked]>;
> Randriamasy, Sabine (Nokia - FR) <[email-masked]>;
> LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>;
> Jensen Zhang <[email-masked]>; Kai Gao <[email-masked]>;
> Börje Ohlman <[email-masked]>
> *抄送:* Qin Wu <[email-masked]>; Vijay Gurbani <[email-masked]>;
> Jan Seedorf <[email-masked]>; Martin Duke <
> [email-masked]>
> *主题:* Re: 109 recharter working Google doc
>
>
>
> Dear all,
>
>
>
> I made a deck of slides intended to be used for the multidomain discussion
> meeting next week during IETF109. It is attached to this email.
>
>
>
> Any feedback will be highly appreciated. I will send it to the broad
> mailing list as well.
>
>
>
> Richard
>
>
>
> On Wed, Nov 11, 2020 at 10:16 PM Y. Richard Yang <[email-masked]> wrote:
>
> Hi all,
>
>
>
> It is exactly one week from tomorrow when we will have the IETF 109
> meeting on ALTO recharter discussions. I cleaned up the Google doc a bit so
> that we all have the same format:
>
>
> https://docs.google.com/document/d/1qP9jf-CMXvNiEE3YAnApTczAE4QkBW23Q1Eg99uOaEQ/edit?usp=sharing
>
>
>
> Please take a look and please revise. It will be nice if we all finish a
> stable version by Friday so that we have the slides to give each
> other feedback.
>
>
>
> Thanks a lot!!
>
>
>
> Richard
>
>

---

From: Qin Wu <[email-masked]>
Date: Tue, 17 Nov 2020 01:58:26 +0000

发件人: Y. Richard Yang [mailto:[email-masked]]
发送时间: 2020年11月17日 8:53
收件人: Qin Wu <[email-masked]>
抄送: Chunshan Xiong (Tencent) <[email-masked]>; Gang Li (China Mobile) <[email-masked]>; Yannis (Yunfei) Zhang <[email-masked]>; Walid, Anwar (Nokia - US/Murray Hill) <[email-masked]>; Sebastian Kiesel <[email-masked]>; Randriamasy, Sabine (Nokia - FR) <[email-masked]>; LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>; Jensen Zhang <[email-masked]>; Kai Gao <[email-masked]>; Börje Ohlman <[email-masked]>; Vijay Gurbani <[email-masked]>; Jan Seedorf <[email-masked]>; Martin Duke <[email-masked]>; IETF ALTO <[email-masked]>
主题: Re: 109 recharter working Google doc

+ Moved the discussions to include the mailing list as well, as the comments and feedback are excellent!

Hi Qin,

On Mon, Nov 16, 2020 at 7:16 AM Qin Wu <[email-masked]<mailto:[email-masked]>> wrote:
Thanks Richard for the update on multi-domain discussion, I have a few questions on this deck of slides:

1.       RFC7971 provides ALTO deployment consideration, one assumption it made is

" The ALTO protocol is designed for use cases where the ALTO server and client can be located in

   domain. "

Thanks for making clear the text of RFC7961! Multidomain should still be the basic environment. The current ALTO services, as they are designed, can work in a multidomain environment, say using cascading servers, in some settings. There are two things missing: (1) there is no document specifying the complete multidomain querying process, which we want to fix; and (2) the current design can have issues in some multidomain settings; for example, when conducting cascading query, the downstream ALTO server may have multiple ingress points for the same flow (e.g., ECS specified by src/dst IPs). The current design assumes that either the downstream can try to go upstream to identify the ingress or assume that there is only one ingress (in some cases can be true). I will make some slides to clarify.
[Qin]:Thanks Richard for clarification, I am wondering whether request routing redirection capability is needed in this multi-domain case, similar to what CDNI request routing redirection (RFC7975)is doing, I am not sure calling it redirection is correct, maybe it can be called as delegation if multi-domain case needs to be covered.

Good point. If we proceed with generic flow-based queries (ECS and cost map are IP layer only, and hence are just special cases), we can make multidomain to be generic flow aware. It looks that generic flow is the direction of many networks.

[Qin]: Umm, I am a little bit worried if the flow based query is extended to other layer, such as TCP layer, Do we have a real use case for this?

3.       is there any ALTO protocol extension? E.g., network map extension, Cost map extension, or property map extension?

Not sure I fully understand the question. Some generic extensions (e.g., the one by Sabine) will extend cost map and property map. Is this what you have in mind?
[Qin]: Yes, it looks path vector can be reused in this multi-domain abstraction case. Besides this, I am wondering whether other protocol extension is needed? E.g., request routing redirection like mechanism or delegation mechanism.
Thanks again!

Richard

-Qin
发件人: Y. Richard Yang [mailto:[email-masked]<mailto:[email-masked]>]
发送时间: 2020年11月13日 8:05
收件人: Chunshan Xiong (Tencent) <[email-masked]<mailto:[email-masked]>>; Gang Li (China Mobile) <[email-masked]<mailto:[email-masked]>>; Yannis (Yunfei) Zhang <[email-masked]<mailto:[email-masked]>>; Walid, Anwar (Nokia - US/Murray Hill) <[email-masked]<mailto:[email-masked]>>; Sebastian Kiesel <[email-masked]<mailto:[email-masked]>>; Randriamasy, Sabine (Nokia - FR) <[email-masked]<mailto:[email-masked]>>; LUIS MIGUEL CONTRERAS MURILLO <[email-masked]<mailto:[email-masked]>>; Jensen Zhang <[email-masked]<mailto:[email-masked]>>; Kai Gao <[email-masked]<mailto:[email-masked]>>; Börje Ohlman <[email-masked]<mailto:[email-masked]>>
抄送: Qin Wu <[email-masked]<mailto:[email-masked]>>; Vijay Gurbani <[email-masked]<mailto:[email-masked]>>; Jan Seedorf <[email-masked]<mailto:[email-masked]>>; Martin Duke <[email-masked]<mailto:[email-masked]>>
主题: Re: 109 recharter working Google doc

Dear all,

I made a deck of slides intended to be used for the multidomain discussion meeting next week during IETF109. It is attached to this email.

Any feedback will be highly appreciated. I will send it to the broad mailing list as well.

Richard

On Wed, Nov 11, 2020 at 10:16 PM Y. Richard Yang <[email-masked]<mailto:[email-masked]>> wrote:
Hi all,

It is exactly one week from tomorrow when we will have the IETF 109 meeting on ALTO recharter discussions. I cleaned up the Google doc a bit so that we all have the same format:
https://docs.google.com/document/d/1qP9jf-CMXvNiEE3YAnApTczAE4QkBW23Q1Eg99uOaEQ/edit?usp=sharing

Please take a look and please revise. It will be nice if we all finish a stable version by Friday so that we have the slides to give each other feedback.

Thanks a lot!!

Richard